<?
$title="Персонаж";
 if ($_GET[mod]=="skills") {
 	$skills=unserialize($player[skills]);
 	$tmp=0;
     foreach ($skills as $key=>$value) {
       if ($skills[$key][act]>=20*(pow(2,$skills[$key][level])))
       {$skills[$key][act]=$skills[$key][act]-20*(pow(2,$skills[$key][level]));
        $skills[$key][level]++;
        $tmp=1;
       }
       elseif ($skills[$key][act]<0) {$skills[$key][act]=0;$tmp=1;}
     }
     if ($tmp==1) {
        $tmp=serialize($skills);
        $sql=mysql_query("UPDATE users SET skills='$tmp' WHERE id='$player[id]' LIMIT 1");
     }
     if (!isset($skills[dig])) {
     	$skills[dig][level]=0;
     	$skills[dig][act]=0;
     }
     if (!isset($skills[handfight])) {
     	$skills[handfight][level]=0;
     	$skills[handfight][act]=0;
     }
     if (!isset($skills[coldweapon])) {
     	$skills[coldweapon][level]=0;
     	$skills[coldweapon][act]=0;
     }
     if (!isset($skills[fireweapon])) {
     	$skills[fireweapon][level]=0;
     	$skills[fireweapon][act]=0;
     }
     if (!isset($skills[throwweapon])) {
     	$skills[throwweapon][level]=0;
     	$skills[throwweapon][act]=0;
     }
    $page.="<div class='f'><b>Навыки</b></div>";
    $page.="<div class='link'>
    <br/>Рукопашный бой  ".$skills[handfight][level]."(".$skills[handfight][act].")
    <br/>Холодное оружие  ".$skills[coldweapon][level]."(".$skills[coldweapon][act].")
    <br/>Стрелковое оружие  ".$skills[fireweapon][level]."(".$skills[fireweapon][act].")
    <br/>Метательное оружие  ".$skills[throwweapon][level]."(".$skills[throwweapon][act].")
    <br/>Торговля  ".$skills[trade][level]."(".$skills[trade][act].")
    <br/>Взлом  ".$skills[hack][level]."(".$skills[hack][act].")
    <br/>Наблюдательность  ".$skills[per][level]."(".$skills[per][act].")
    <br/>Оружейник  ".$skills[weap][level]."(".$skills[weap][act].")
    <br/>Портной  ".$skills[armer][level]."(".$skills[armer][act].")
    <br/>Химик  ".$skills[chim][level]."(".$skills[chim][act].")
    <br/>Рудокоп  ".$skills[dig][level]."(".$skills[dig][act].")<br/>
    <br/><a href='./?do=pers'>Персонаж</a>";

 }
 elseif ($_GET[mod]=="eff") {
 	$page.="<div class='f'><b>Эффекты</b></div>";
 	$page.="<div class='link'>";
 	if (sizeof($player[effects])<1) {$page.="<br/>Эффектов нет<br/>";}
 	else {
     for ($i=0;$i<sizeof($player[effects]);$i++) {
       $page.="<br/><b>".$player[effects][$i][name]."</b>";
       $page.="<br/>".$player[effects][$i][info]."";
       $time=$player[effects][$i]["over"];
       $page.="<br/> Действие до ".date("j.m.",$time).(date("Y",$time)+170).date("  G:i",$time);
       $page.="<br/>";
     }
     $page.="<br/>";
    }
    $page.="<br/><a href='./?do=pers'>Персонаж</a>";
 }
 elseif ($_GET[mod]=="quests") {
 	$player[quests]=unserialize($player[quests]);

 	$page.="<div class='f'><b>Квесты</b></div>";
 	$page.="<div class='link'>";
 	if (!is_array($player[quests])) {$page.="<br/>Квестов нет<br/>";}
 	else {
 	   if (isset($_GET[id])) {
           $sql=mysql_query("SELECT * FROM quests WHERE id='$_GET[id]' LIMIT 1");
           $quest=mysql_fetch_array($sql);
           $quest[info]=unserialize($quest[info]);
           $page.="<br/><b>$quest[name]</b><br/>";
           $page.="<br/>".$quest[info][$player[quests][$_GET[id]][status]]."<br/>";
 	   }
 	   elseif ($_GET[view]=="complete") {
          foreach($player[quests] as $key=>$value){
             if  ($value[status]=="complete") {
                $sql=mysql_query("SELECT name FROM quests WHERE id='$key' LIMIT 1");
                $name=mysql_result($sql,0,"name");
             	$page.="<br/><a href='./?do=pers&amp;mod=quests&amp;id=$key'>$name</a>";
             }
          }
 	   }
 	   elseif ($_GET[view]=="view") {
          foreach($player[quests] as $key=>$value){
             if  ($value[status]!="complete") {
                $sql=mysql_query("SELECT name FROM quests WHERE id='$key' LIMIT 1");
                $name=mysql_result($sql,0,"name");
             	$page.="<br/><a href='./?do=pers&amp;mod=quests&amp;id=$key'>$name</a>";
             }
          }
 	   }
 	    $page.="<br/>";
 		if ($_GET[view]!="view") {$page.="<br/><a href='./?do=pers&amp;mod=quests&amp;view=view'>Текущие квесты</a>";}
        if ($_GET[view]!="complete") {$page.="<br/><a href='./?do=pers&amp;mod=quests&amp;view=complete'>Завершенные квесты</a>";}
        $page.="<br/>";
    }
    $page.="<br/><a href='./?do=pers'>Персонаж</a>";
 }
 elseif ($_GET[mod]=="main") {
 
            
    $page.="<div class='f'><b>$player[char_name]</b></div>";
   $page.="<div class='link'>
    <br/><img src=\"images/".$player[rasse].".gif\"></img>
    <br/>Уровень $player[level]
    <br/>Текущий опыт $player[exp]
    <br/>Опыт для следущего уровня $player[needexp]";
    if ($player[study_points]>0) {$page.="<br/>Очки обучения $player[study_points]";}
    $page.="<br/>Здоровье $player[hit_points]/$player[maxhp]
    <br/>Голод $player[hungry_points]
    <br/>Очки действия $player[od]/$player[maxod]
    <br/>Шанс критического удара $player[crit_chance]";
    $fact_params=unserialize($player[fact_params]);
    $page.="<br/><br/><b>Характеристики</b><br/>
    <br/>Сила $fact_params[str]
    <br/>Живучесть $fact_params[life]
    <br/>Выносливость $fact_params[endur]
    <br/>Интеллект $fact_params[int]
    <br/>Меткость $fact_params[shooting]
    <br/>Скорость $fact_params[speed]
    <br/>Ловкость $fact_params[dex]
    <br/>Удача $fact_params[luck]";
    $fact_resists=unserialize($player[fact_resists]);
    $page.="<br/><br/><b>Сопротивления</b><br/>
    <br/>Нормальному урону $fact_resists[resnormal]
    <br/>Плазме $fact_resists[resplazma]
    <br/>Взрывам $fact_resists[resboom]
    <br/>Электричеству $fact_resists[resvolt]
    <br/>Отравлению $fact_resists[respoison]
    <br/>Радиации $fact_resists[resrad]<br/>";
    $trauma=unserialize($player[trauma]);
    if ($trauma[lefthand]=="on") {$page.="<br/><b>Сломана левая рука</b><br/>";}
    if ($trauma[righthand]=="on") {$page.="<br/><b>Сломана правая рука</b><br/>";}
    if ($trauma[leftleg]=="on") {$page.="<br/><b>Сломана левая нога</b><br/>";}
    if ($trauma[rightleg]=="on") {$page.="<br/><b>Сломана правая нога</b><br/>";}
    if ($trauma[eye]=="on") {$page.="<br/><b>Поврежден глаз</b><br/>";}
    $page.="<br/><a href='./?do=pers'>Персонаж</a>";
 }
 elseif ($_GET[mod]=="style") {
       $page.="<div class='f'><b>Темы оформления</b></div>";
       $page.="<div class='link'>";
       if (empty($style)){$style=standart;}
       if (isset($_GET["var"])){
          if (!file_exists("./css/$_GET[var].css")){$page.="<br/>Ошибка! Такой темы не существует";}
          else {
          	if ($_GET[conf]==ok){
               $player[options][style]=$_GET["var"];
               $sql=mysql_query("UPDATE users SET options='".serialize($player[options])."' WHERE id='$player[id]' LIMIT 1");
               $style=$_GET["var"];
               $page.="<br/>Вы выбрали тему оформления <b>$style</b>. Вы можете выбрать другую тему, если эта вам не нравится:";
          	}
          	else{
          	  $page.="<br/>Ваша текущая тема оформления - <b>$style</b>. Это тема оформления <b>$_GET[var]</b>.";
          	  $page.="<br/>Чтобы выбрать ее нажмите <a href='./?do=pers&amp;mod=style&amp;var=$_GET[var]&amp;conf=ok'>ok</a>";
              $page.="<br/>Или выберите другую тему, если эта вам не нравится:";
            }
            $style=$_GET["var"];
          }
       }
       else{$page.="<br/>Ваша текущая тема оформления - $style. Выберите новую тему оформления:";}
       $dir = opendir ("./css");
       while ($file = readdir ($dir))
       {
        $tmp= pathinfo($file, PATHINFO_FILENAME);
        if ($tmp!="." and $tmp!=".."){$page.= "<br/><a href='./?do=pers&amp;mod=style&amp;var=$tmp'>$tmp</a>";}
       }
       $page.="<br/>";
       closedir ($dir);

 }
 else {
    $page.="<div class='f'><b>Главное меню</b></div>";
    $page.="<div class='link'>";
	$page.="<br/><a href='./?do=pers&amp;mod=main'>Характеристики</a>";
	$page.="<br/><a href='./?do=pers&amp;mod=skills'>Навыки</a>";
	$page.="<br/><a href='./?view=player&amp;stat=$player[id]'>Статистика</a>";
	$page.="<br/><a href='./?do=inv&amp;view=eqip'>Экипировка</a>";
	$page.="<br/><a href='./?do=craft'>Крафт</a>";
	$page.="<br/><a href='./?do=pers&amp;mod=quests'>Квесты</a>";
	if (!empty($player[effects])) $page.="<br/><a href='./?do=pers&amp;mod=eff'>Эффекты</a>";
	$page.="<br/><a href='./?do=inv'>Инвентарь</a>";
	///$page.="<br/><a href='./?do=pers&amp;mod=style'>Темы оформления</a><br/>";
	$page.="<br/>-----";
	$npc = @mysql_query("select news from `news`;");
	$npc = @mysql_num_rows($npc);
	$page.="<br/><a href='./news.php?str=1'>Новости($npc)</a>";
	$page.="<br/><a href='./help.php?help=main'>Помощь</a>";
	$page.="<br/><a href='./?do=online'>Кто онлайн?</a>";
	$page.="<br/><a href='./top.php?help=main'>Топ игроков</a>";
 }
$page.="<br/><a href='./?rand=".rand(1,1000)."'>В игру</a><br/><br/>";
?>